# -*- coding: iso_8859_1 -*-

from aspylib import astro
import numpy as np

#------------------------------------------------------------------------------------
#	Code to calculate the Julian dates corresponding to the "DATE-OBS" header of a serie of images
#------------------------------------------------------------------------------------

Folder = u"C:\\images\\"
Imagelist = [Folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(50)]

#------------------------------------------------------------------------------------

Dateobs = astro.julian_day(astro.get_headervalues(Imagelist, 'DATE-OBS'))

f = open(Folder + 'JJ_dates.txt','w')
for dd in Dateobs:
	f.write(str(dd)+'\n')
f.close()

raw_input("Press ENTER to close")

