# -*- coding: iso_8859_1 -*-
"""
	This module is part of AsPyLib version 1.2.0
	Copyright (C) 2012 Jerome Caron

    AsPyLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
#------------------------------------------------------------------------------------------------------------
#		aspylib.astrometry = module for astrometric reductions
#------------------------------------------------------------------------------------------------------------

if ~('aspylib_license' in globals()):
	import aspylib.license
	
from query1 import send_query_vizier
#def send_query_vizier(catalog, position, conesize, constraint, ordering = [False,''], remove_duplicates = [False, []], webrequest = True, filename = 'vizier.xml'):

from query2 import send_query_skybot
#def send_query_skybot(date, position, conesize, obscode='500', outputlevel=1, webrequest = True, filename = 'skybot.xml'):

#------------------------------------------------------------------------------------------------------------
from astrometry1 import project_stars
#def project_stars(alpha, delta, alpha0, delta0, direction):

from astrometry2 import find_rotation_and_scaling, find_translation, approximate_astrometry
#def find_rotation_and_scaling(stars1, stars2, text_display=True, plotting=True, resolution=512):
#def find_translation(stars1, stars2, text_display=True, plotting=True, resolution=512):
#def approximate_astrometry(stars1, stars2, start_param = [1.,0.,0.,0.], nb_iterations=1, resolution=512):

from astrometry3 import matching_pairs
#def matching_pairs(stars, trans, distcrit):

from astrometry4 import find_astrometry_for_image
#def find_astrometry_for_image(image, proj, coef = [[],[]], distcrit = 5, nbdetstars = [60,200], nbcatstars = [100,1000], text_display = True, plotting=True): 

from astrometry5 import distorsion_law, inverse_distorsion_law, invert_simple_coefficients, transform_stars
#def distorsion_law(p, xy):
#def inverse_distorsion_law(p, proj):
#def invert_simple_coefficients(p):
#def transform_stars(param, xy):


del query1, query2
del astrometry1, astrometry2, astrometry3, astrometry4, astrometry5
