# -*- coding: iso_8859_1 -*-
"""
	This module is part of AsPyLib version 1.2.0
    Copyright (C) 2012 Jerome Caron

    AsPyLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
#------------------------------------------------------------------------------------------------------------
#		aspylib.cdr = module for lightcurve processing
#------------------------------------------------------------------------------------------------------------

if ~('aspylib_license' in globals()):
	import aspylib.license
	
from cdr1 import load_magfile, load_file, calc_noise
#def load_magfile(filename):
#def load_file(filename):
#def calc_noise(mag):

from cdr2 import load_magdata, time_correction, plot_magdata
#def load_magdata(Filelist):
#def time_correction(alldata, target, argument):
#def plot_magdata(alldata, title):

from cdr3 import fit_CDR
#def fit_CDR(alldata, period, T0, nb_harmo = 6, show_results = True, show_plot = True):

from cdr4 import fit_givenperiod
#def fit_givenperiod(alldata, period, T0, nb_harmo = 6):


del cdr1, cdr2, cdr3, cdr4